#ifndef CPLD_CON_H_
#define CPLD_CON_H_

#include <stdio.h>
#include <xstatus.h>
#include <xparameters.h>
#include "GPIO_Driv.h"
#include "SPI_Driv.h"

#define dat_width     3

int CPLD_Write(u8 addr,u32 data);
int CPLD_Read(u8 CPLDSel, u8 reg_addr, u32* reg_data);
int CPLD_Read_ALL(u8 reg_addr, u32* reg_data);

int CPLD_exec();


#endif /* CPLD_CON_H_ */